Get label
curl --request GET \
--url https://api.ship.uniuni.com/prod/client/label/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ship.uniuni.com/prod/client/label/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ship.uniuni.com/prod/client/label/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Success",
"code": 0,
"data": {
"headers": {
"Content-Type": "application/pdf",
"Content-Disposition": "attachment; filename=\"UR07240000000004901_shipping_labels_2025-07-31.pdf\""
},
"body": "JVBERi0xLjMKJf////8K..."
}
}标签
获取面单
Retrieves a shipping or batching label as a Base64-encoded PDF.
GET
/
client
/
label
/
{id}
Get label
当
labelType为shipping时,货件必须已购买。body字段中。要保存为文件:
- Node.js
- Python
const fs = require('fs');
const pdfBuffer = Buffer.from(response.data.body, 'base64');
fs.writeFileSync('label.pdf', pdfBuffer);
import base64
pdf_bytes = base64.b64decode(response["data"]["body"])
with open("label.pdf", "wb") as f:
f.write(pdf_bytes)
授权
API access token generated from the UniUni Platform dashboard.
路径参数
The orderNumber (for shipping labels) or batchNumber (for batch labels).
查询参数
Type of label to retrieve.
可用选项:
shipping, batching 此页面对您有帮助吗?
⌘I